Author Topic: 0710b2 Build Errors  (Read 6363 times)

Matthew

  • Douchebag
  • Addicted
  • *
  • Posts: 567
    • View Profile
0710b2 Build Errors
« on: January 13, 2008, 02:54:54 pm »
I downloaded the source from the Charon Media SVN according to the wiki "Source Code" article:
Quote from: [url=http://wiki.linuxmce.org/index.php/Source_Code#Current_Source]Source Code: Current Source[/url]
# Download snapshot (391MiB)
wget http://www.charonmedia.org/lmce-1465.tbz

# Test checksum to ensure it was downloaded intact.
md5sum lmce-1465.tbz # should be b3d4b3f6b33ff5e6c4641390f2314095

# Update snapshot (uncompressed: 1823MiB either snapshot or updated).
tar xfj lmce-1465.tbz
cd lmce
svn update

# Build from source (optional) to 3692MiB, total source+build = 5515MiB.
./configure
make

 I get some build errors (in KDE, launch_manager, and SimplePhone)
Quote from: make
checking for KDE... configure: error:
in the prefix, you've chosen, are no KDE headers installed. This will fail.
So, check this please and use another prefix!
make[3]: *** No targets specified and no makefile found.  Stop.
make[3]: Entering directory `/opt/lmce/src/lmce/src/lmce_launch_manager'
make[3]: Leaving directory `/opt/lmce/src/lmce/src/lmce_launch_manager'
cp: cannot stat `src/lmce_launch_manager': No such file or directory
make -f Makefile.cvs; LDFLAGS="-L../../lib" CPPFLAGS="-I../../ -I../../DCE -I../../Gen_Devices" CXXFLAGS="-O0 -g3" ./configure; make ; cp src/lmce_launch_manager ../bin/lmce_launch_manager  ***FAILED***
Error: make -f Makefile.cvs; LDFLAGS="-L../../lib" CPPFLAGS="-I../../ -I../../DCE -I../../Gen_Devices" CXXFLAGS="-O0 -g3" ./configure; make ; cp src/lmce_launch_manager ../bin/lmce_launch_manager  failed!
Continue anyway? [N/y]
make -f Makefile.cvs; LDFLAGS="-L../../lib" CPPFLAGS="-I../../ -I../../DCE -I../../Gen_Devices" CXXFLAGS="-O0 -g3" ./configure; make ; cp src/lmce_launch_manager ../bin/lmce_launch_manager  succeeded
***ERROR*** The file: /opt/lmce/src/lmce/src/lmce_launch_manager/src/lmce_launch_manager was not created.Continue anyway? [N/y] y
/opt/lmce/src/lmce/src/lmce_launch_manager/src/lmce_launch_manager exists
Continue? [N/y] y

(...)

***WARNING B*** /opt/lmce/src/lmce/src/bin/lmce_launch_manager not found
Continue? [N/y] y

(...)

***WARNING B*** /opt/lmce/src/lmce/src/bin/SimplePhone not found
Continue? [N/y] y

I haven't installed the built LMCE, so I don't know whether that KDE error or launch_manager error actually break the final platform (SimplePhone is not a critical component for me right now, but I want to eventually have it right if it's part of the standard distro, and as a test when I get my Cisco 7970 hardphone up and running). But I'd like the install to "just work".

Also, the install takes something like 5-6 hours on a P4/2.4GHz/512MB. That seems excessive, though it's building a hell of a lot of the bundled apps that make LMCE so featureful. But since most of those are available as Debian binary .deb packages, can't an installer just use those, rather than building from source (except as a final option, after the rest is tested and tweaked)? If there's a half-dozen (and eventually hopefully hundreds) of developers building, won't the "self-hosted build environment" at the LMCE project servers supposedly coming with 0710 just get swamped at a fraction of the developer community scale if it's building every external package from source, instead of just installing its binary .deb package?

danielk

  • Guru
  • ****
  • Posts: 153
    • View Profile
Re: 0710b2 Build Errors
« Reply #1 on: January 13, 2008, 03:46:16 pm »
Are you building on 0710 beta 2? I posted a patch to the lmce-dev mailing list which allows the build to mostly complete on amd64 0710 beta 2, I haven't applied it yet because it's a little hacky.

On 0704 you should not be getting the lmce_launch_manager error (we used to get it but this was fixed in SVN some weeks ago).

Matthew

  • Douchebag
  • Addicted
  • *
  • Posts: 567
    • View Profile
Re: 0710b2 Build Errors
« Reply #2 on: January 13, 2008, 04:00:29 pm »
Are you building on 0710 beta 2? I posted a patch to the lmce-dev mailing list which allows the build to mostly complete on amd64 0710 beta 2, I haven't applied it yet because it's a little hacky.

On 0704 you should not be getting the lmce_launch_manager error (we used to get it but this was fixed in SVN some weeks ago).

I am building according to the Source Code wiki article instructions, which are basically (wget http://www.charonmedia.org/lmce-1465.tbz) and (svn updte), which I believe gives me build 1480. Is that not 0710b2? How do I get and build 0710b2?
« Last Edit: January 13, 2008, 05:25:37 pm by Matthew »

Zaerc

  • Alumni
  • LinuxMCE God
  • *
  • Posts: 2256
  • Department of Redundancy Department.
    • View Profile
Re: 0710b2 Build Errors
« Reply #3 on: January 13, 2008, 04:31:23 pm »
Are you building on 0710 beta 2? I posted a patch to the lmce-dev mailing list which allows the build to mostly complete on amd64 0710 beta 2, I haven't applied it yet because it's a little hacky.

On 0704 you should not be getting the lmce_launch_manager error (we used to get it but this was fixed in SVN some weeks ago).

Wouldn't that be much more usefull if "amd64 0710 beta 2" was actually available to other people as well?
"Change is inevitable. Progress is optional."
-- Anonymous


Matthew

  • Douchebag
  • Addicted
  • *
  • Posts: 567
    • View Profile
Re: 0710b2 Build Errors
« Reply #4 on: January 13, 2008, 05:25:51 pm »
Are you building on 0710 beta 2? I posted a patch to the lmce-dev mailing list which allows the build to mostly complete on amd64 0710 beta 2, I haven't applied it yet because it's a little hacky.

On 0704 you should not be getting the lmce_launch_manager error (we used to get it but this was fixed in SVN some weeks ago).

I am building according to the Source Code wiki article instructions, which are basically (wget http://www.charonmedia.org/lmce-1465.tbz) and (svn updte), which I believe gives me build 1480. Is that not 0710b2? How do I get and build 0710b2?

Incidentally, I am building that source on a host that's already got 0710b2 installed (from the DVD, though against it as a bootable partition rather than a burned DVD disc). Is building 0710b2 against an installed 0710b2 system actually a requirement, or just a convenient coincidence as I was doing both the same day? If so, I want to update the wiki, and maybe suggest an alternative for people who want to develop against code without installing the DVD binaries, so they've always got only the code built from the source (a dependency ambiguity that has mooted many development sessions I've seen over the years, especially when testing on systems only some of which have the running installation with its depended elements, vs others which fail because the depended elements are not included in the source package).

danielk

  • Guru
  • ****
  • Posts: 153
    • View Profile
Re: 0710b2 Build Errors
« Reply #5 on: January 13, 2008, 05:28:02 pm »
Sorry I misspoke, the patch is to build on amd64 beta _1_, which is still available at the URL I posted last month in lmce-dev.

There was no amd64 beta 2.

-- Daniel

danielk

  • Guru
  • ****
  • Posts: 153
    • View Profile
Re: 0710b2 Build Errors
« Reply #6 on: January 13, 2008, 08:16:45 pm »
Zearc,

To build an individual package in src, you need a few things first:
  Development dependencies need to be installed. (make install_deb_packages)
  MakeRelease_PrepFiles needs to be built. (make build/bin/MakeRelease/MakeRelease_Prep)
  MakeRelease_PrepFiles needs to be run. (make makerelease_prep)

Then you can go into the directory containing the source for the package you want and build it normally.

Matthew

  • Douchebag
  • Addicted
  • *
  • Posts: 567
    • View Profile
Re: 0710b2 Build Errors
« Reply #7 on: January 14, 2008, 05:34:13 am »
Zearc,

To build an individual package in src, you need a few things first:
  Development dependencies need to be installed. (make install_deb_packages)
  MakeRelease_PrepFiles needs to be built. (make build/bin/MakeRelease/MakeRelease_Prep)
  MakeRelease_PrepFiles needs to be run. (make makerelease_prep)

Then you can go into the directory containing the source for the package you want and build it normally.

Is that not also true for building the source according to the wiki instructions I mentioned? Is that source not 0710b2?

Matthew

  • Douchebag
  • Addicted
  • *
  • Posts: 567
    • View Profile
Re: 0710b2 Build Errors
« Reply #8 on: January 15, 2008, 06:04:12 am »
Are you building on 0710 beta 2? I posted a patch to the lmce-dev mailing list which allows the build to mostly complete on amd64 0710 beta 2, I haven't applied it yet because it's a little hacky.

On 0704 you should not be getting the lmce_launch_manager error (we used to get it but this was fixed in SVN some weeks ago).

I am building according to the Source Code wiki article instructions, which are basically (wget http://www.charonmedia.org/lmce-1465.tbz) and (svn updte), which I believe gives me build 1480. Is that not 0710b2? How do I get and build 0710b2?

I'm bumping because I'm still not even sure I'm building 0710b2 and not some old version. Anyone want to let me in on the secret?

danielk

  • Guru
  • ****
  • Posts: 153
    • View Profile
Re: 0710b2 Build Errors
« Reply #9 on: January 15, 2008, 09:13:59 pm »
vendor/pluto-lmce-branch
contains a mirror of the sources used to build the 0710 betas.[/td][/tr][/table]
trunkcontains sources which can build on a LinuxMCE 704 system, and with the patch I posted to the lmce-dev mailing list can be mostly compiled on 0710 beta 1 or 2.

The pluto-lmce-branch will destroy an existing LinuxMCE install as it builds the DB for the new build. It should only be run on a stock Ubuntu 710 system, with a separate system set up as the database server.

The trunk tree has all the code changes from the pluto-lmce-branch synced to it, but it has a different set of build scripts and makefiles.

Matthew

  • Douchebag
  • Addicted
  • *
  • Posts: 567
    • View Profile
Re: 0710b2 Build Errors
« Reply #10 on: January 15, 2008, 10:27:40 pm »
vendor/pluto-lmce-branch contains a mirror of the sources used to build the 0710 betas.

So I download the tarball and untar it like the wiki says, then svn update? In the toplevel dir, or do I have to svn update in the vendor/pluto-lmce-branch subdir? And do I have to run make in that subdir, or make in the toplevel dir from the tarball?


trunk contains sources which can build on a LinuxMCE 704 system, and with the patch I posted to the lmce-dev mailing list can be mostly compiled on 0710 beta 1 or 2.

Does that mean that the source download/untar/update/make process has to be run on a system that's already got a 0704 LMCE make/installed from a source tarball, or is the 3CD/1DVD installer version sufficient? And does "mostly compiled on 0710 beta 1 or 2" mean that doing so on 0710b{1,2} will not completely compile? I take it that either way the 0710b2 tarball can't be installed on a simple Kubuntu system (without some 07{04,10} LMCE already installed for running)?

The pluto-lmce-branch will destroy an existing LinuxMCE install as it builds the DB for the new build. It should only be run on a stock Ubuntu 710 system, with a separate system set up as the database server.

The trunk tree has all the code changes from the pluto-lmce-branch synced to it, but it has a different set of build scripts and makefiles.

So let's see if I got this right: if I want to revise 0710b2 source code and build it, then install it to test it, throwing away any other LMCE version, I should install 0710 from the DVD, then download the 0710 tarball like I did and untar it. Then I run (svn update) in the toplevel dir (or in the pluto-lmce-branch subdir?). Then I edit some source file I choose in the pluto-lmce-branch subdirs, then I run make in the toplevel dir  (or in the pluto-lmce-branch subdir?). Then I guess run (make install) in the toplevel subdir  (or in the pluto-lmce-branch subdir?). At which point does the process replace my old LMCE with the new one I'm building - during the make, or during the make install? And what do I have to do to follow this process with a separate system set up as the database server"? Does that mean I need a separate machine, or a separate partition, or something else?

Thanks for clearing all this up. I want to get this going, especially as I'm overdue to revise the Device templates to accommodate state events in the Floorplan. And once I've done it, I want to update the wiki, so others can join us in the fun. Especially with a beta3 coming out, that will be helpful.

hari

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 2420
    • View Profile
    • ago control
Re: 0710b2 Build Errors
« Reply #11 on: January 15, 2008, 10:35:45 pm »
...
you may want to browse http://svn.charonmedia.org/trac.cgi/browser/ and read a svn howto. That should clarify some bits for you.

If you want to build the database packages you need a mysql instance with the build database loaded. It's up to you where you host it. Just make sure the scripts work with your setup.

best regards,
hari
rock your home - http://www.agocontrol.com home automation

Matthew

  • Douchebag
  • Addicted
  • *
  • Posts: 567
    • View Profile
Re: 0710b2 Build Errors
« Reply #12 on: January 16, 2008, 12:59:34 am »
you may want to browse http://svn.charonmedia.org/trac.cgi/browser/ and read a svn howto. That should clarify some bits for you.

I've been browsing the SVN/Trac site. But I can't check out the source:
Code: [Select]
matt@lmce:/opt/linuxmce/src$ cd pluto-lmce-branch/
matt@lmce:/opt/linuxmce/src/pluto-lmce-branch$ svn co http://svn.charonmedia.com/trac.cgi/browser/vendor/pluto-lmce-branch
svn: PROPFIND request failed on '/trac.cgi/browser/vendor/pluto-lmce-branch'
svn: PROPFIND of '/trac.cgi/browser/vendor/pluto-lmce-branch': 200 Ok (http://svn.charonmedia.com)


If you want to build the database packages you need a mysql instance with the build database loaded. It's up to you where you host it. Just make sure the scripts work with your setup.

Does the 0710b2 I installed from the DVD include a MySQL instance with the build database loaded? If not, where do I get a copy of the 0710b2 build database, and install it in its own DB under the existing 0704? I suppose not from the SVN root/vendor/pluto-lmce-branch/db_dumps/pluto_[main_build,media,security,telecom].sql , which are each 3 months old (and which fail to co just as the whole branch fails). And does all that SVN code also depend on being installed on a running 0710 installation, or is everything necessary for build and run included in that branch?

hari

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 2420
    • View Profile
    • ago control
Re: 0710b2 Build Errors
« Reply #13 on: January 16, 2008, 01:28:35 am »
Code: [Select]
matt@lmce:/opt/linuxmce/src$ cd pluto-lmce-branch/
matt@lmce:/opt/linuxmce/src/pluto-lmce-branch$ svn co http://svn.charonmedia.com/trac.cgi/browser/vendor/pluto-lmce-branch
svn: PROPFIND request failed on '/trac.cgi/browser/vendor/pluto-lmce-branch'
svn: PROPFIND of '/trac.cgi/browser/vendor/pluto-lmce-branch': 200 Ok (http://svn.charonmedia.com)
try http://svn.charonmedia.com/svn/vendor/pluto-lmce-branch
Quote
Does the 0710b2 I installed from the DVD include a MySQL instance with the build database loaded? If not,
no
Quote
where do I get a copy of the 0710b2 build database, and install it in its own DB under the existing 0704? I suppose not from the SVN root/vendor/pluto-lmce-branch/db_dumps/pluto_[main_build,media,security,telecom].sql , which are each 3 months old (and which fail to co just as the whole branch fails).
I'm not aware of any newer public dumps.
Quote
And does all that SVN code also depend on being installed on a running 0710 installation, or is everything necessary for build and run included in that branch?
it should work on 0704 and on 0710b2 with patches. Watch your libraries on 0704, they are incompatible with the ones compiled from svn. But it's not hard to compile it on any other platform. Few dependencies.

best regards,
Hari
rock your home - http://www.agocontrol.com home automation

Matthew

  • Douchebag
  • Addicted
  • *
  • Posts: 567
    • View Profile
Re: 0710b2 Build Errors
« Reply #14 on: January 16, 2008, 02:26:37 am »
Code: [Select]
matt@lmce:/opt/linuxmce/src$ cd pluto-lmce-branch/
matt@lmce:/opt/linuxmce/src/pluto-lmce-branch$ svn co http://svn.charonmedia.com/trac.cgi/browser/vendor/pluto-lmce-branch
svn: PROPFIND request failed on '/trac.cgi/browser/vendor/pluto-lmce-branch'
svn: PROPFIND of '/trac.cgi/browser/vendor/pluto-lmce-branch': 200 Ok (http://svn.charonmedia.com)
try http://svn.charonmedia.com/svn/vendor/pluto-lmce-branch

That's more like it :).

Does the 0710b2 I installed from the DVD include a MySQL instance with the build database loaded? If not,
no
Quote
where do I get a copy of the 0710b2 build database, and install it in its own DB under the existing 0704? I suppose not from the SVN root/vendor/pluto-lmce-branch/db_dumps/pluto_[main_build,media,security,telecom].sql , which are each 3 months old (and which fail to co just as the whole branch fails).
I'm not aware of any newer public dumps.

So do I just drop the existing lmce DB, and run the SVN dumps SQL against the LMCE DB?


And does all that SVN code also depend on being installed on a running 0710 installation, or is everything necessary for build and run included in that branch?
it should work on 0704 and on 0710b2 with patches. Watch your libraries on 0704, they are incompatible with the ones compiled from svn. But it's not hard to compile it on any other platform. Few dependencies.

I'm not using 0704 at all, just 0710b2.

So I should track down the patches DanielK sent to the dev list, apply those after the SVN co is complete, then drop the old DB and run the dumps' SQL. All on a server that's already got 0710b2 installed from the DVD. Right?